import { myRequest } from "./request.js";
//修改信息
export function sellerEdit(data) {
  return myRequest({
    url: "/distribution/seller/edit",
    method: "post",
    data: data,
  });
}
export function getInfoByShareCode(data) {
  return myRequest({
    url: "/app/common/distribution/getInfoByShareCode",
    method: "get",
    data: data,
    noToken: true,
  });
}

// 查询用户是否绑定公众号
export function checkBindGzh(data) {
  return myRequest({
    url: "/distribution/seller/checkBindGzh",
    method: "get",
    data,
  });
}

// 提现
export function withdrawal(data) {
  return myRequest({
    url: "/distribution/withdrawal",
    method: "post",
    data: data,
  });
}

// 提现记录
export function getWithdrawalList(data) {
  return myRequest({
    url: "/distribution/withdrawal/list",
    method: "get",
    data: data,
  });
}
